Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters.marshaller.json
[Java] Class DeepDomainClassMarshaller

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.marshaller.IncludeExcludePropertyMarshaller
          org.codehaus.groovy.grails.web.converters.marshaller.json.DomainClassMarshaller
              org.codehaus.groovy.grails.web.converters.marshaller.json.DeepDomainClassMarshaller

    public class DeepDomainClassMarshaller
    extends DomainClassMarshaller

Authors:
  Siegfried Puchbauer

Since:
  1.1

Constructor Summary
`DeepDomainClassMarshaller(boolean includeVersion, GrailsApplication application)`
`DeepDomainClassMarshaller(boolean includeVersion, ProxyHandler proxyHandler, GrailsApplication application)`

Method Summary
`protected boolean` | `isRenderDomainClassRelations()`

Methods inherited from class DomainClassMarshaller
asShortObject, extractValue, isIncludeVersion, isRenderDomainClassRelations, marshalObject, setIncludeVersion, supports

Methods inherited from class IncludeExcludePropertyMarshaller
excludesProperty, includesProperty, shouldInclude

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DeepDomainClassMarshaller

    public DeepDomainClassMarshaller(boolean includeVersion, GrailsApplication application)

### DeepDomainClassMarshaller

    public DeepDomainClassMarshaller(boolean includeVersion, ProxyHandler proxyHandler, GrailsApplication application)

Method Detail

### isRenderDomainClassRelations

    @java.lang.Override
    protected boolean isRenderDomainClassRelations()

Groovy Documentation